SystemOrganization addCategory: #SystemSystemSettings!

Object subclass: #SystemSystemSettings
	instanceVariableNames: ''
	classVariableNames: 'SoundEnabled UseThemeSounds'
	poolDictionaries: ''
	category: 'SystemSystemSettings'!

!SystemSystemSettings class methodsFor: 'settings' stamp: 'AlainPlantec 12/14/2009 13:17'!
authorSettingOn: aBuilder
	<systemsettings>
	(aBuilder setting: #authorFullName)
		order: -100000;
		parent: #codeEditing;
		label: 'Author identification';
		target: Author;
		selector: #fullName;
		notInStyle;
		default: '';
		ghostHelp: 'Vincent van Gogh -> VincentVanGogh';
		description: 'Your fullname without any space, accent, dashe, underscore and similar characters. 
It will be used to sign the changes you make to the image.
As examples:
	Vincent van Gogh -> VincentVanGogh
	Miguel Cob -> MiguelCoba
	Gran Krampe -> GoranKrampe
	Gran Krampe -> GoeranKrampe
	Stphane DUCASSE -> StephaneDucasse
	Yoshiki Oshima -> YoshikiOshima'
! !

!SystemSystemSettings class methodsFor: 'settings' stamp: 'AlainPlantec 1/10/2010 09:37'!
systemSettingOn: aBuilder 
	<systemsettings>
	(aBuilder group: #pharoSystem)
		label: 'System' translated;
		description: 'General system settings' translated;
		with: [
			(aBuilder setting: #serverMode)
				label: 'Server mode' translated;
				target: WorldState;
				description: 'If enabled, then each main rendering loop will always wait a complete delay of 50ms' translated.
			(aBuilder setting: #checkSourcesFileAvailability)
				label: 'Check sources file availability' translated;
				target: SmalltalkImage;
				description: 'If true, then you will be warned, whenever you start up, if no sources file can be found.' translated.
			(aBuilder setting: #checkChangesFileAvailability)
				label: 'Check changes file availability' translated;
				target: SmalltalkImage;
				description: 'If true, then you will be warned, whenever you start up, if no changes file can be found.' translated.
			(aBuilder setting: #useLocale)
				label: 'Use locale' translated;
				target: Locale;
				selector: #activated;
				description: 'Use the system locale to set the system language at startup.' translated]
! !

!SystemSystemSettings class methodsFor: 'settings' stamp: 'AlainPlantec 12/18/2009 07:10'!
updateSystemSettingOn: aBuilder
	<systemsettings>
	(aBuilder group: #updates)
		label: 'Updates' translated;
		parent: #pharoSystem;
		description: 'Settings related to the way the system is updated' translated;
		with: [
			(aBuilder setting: #updateFromServerAtStartup)
				label: 'At startup' translated;
				target: AutoStart;
				description: 'If enabled, then process update files from a well-known update server at system startup time' translated.
			(aBuilder setting: #updateSavesFile)
				label: 'Save update files' translated;
				target: Utilities;
				description: 'If true, then when an update is loaded from the server, a copy of it will automatically be saved on a local file as well' translated.
			(aBuilder setting: #upgradeIsMerge)
				label: 'Merge' translated;
				target: MCConfiguration;
				description: 'If true, when upgrading packages, use merge instead of load.' translated.
			]
! !
